Subject: cd-ing into a directory with the executable bits succeeds
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Wed, 3 Jul 2002 18:10:45 +0200

I have looked into this (just a quick look) and there aren't any
checks in chdir (). Is the call to SetCurrentDirectory supposed to do
the neccessary checks ? If so, maybe, the directory doesn't have the
proper access right assigned to it. Is there a special right for enabling
cd-ing into dirs on WinNT ?!

The directory has the following bits set:
drw-------   38 paveltz  Nessuno         0 Jul  3 16:36 src

I have 'ntsec' on and I am running XP Home.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/